`define CDC_TEST
module asfifo_tb;
reg clka; always begin clka=1; #5; clka=0; #5; end
reg clkb; always begin clkb=1; #6; clkb=0; #4; end
reg rstn; initial begin #2 rstn=0; #25 rstn=1; end


reg	[7:0]	di;
always @(posedge clka or negedge rstn) begin
	if(!rstn) di<=0;
	else di<=di+1;
end

wire	we=(di[1:0]==0)?0:1;
wire	re=(di[3:2]==0)?0:1;

wire	[7:0]	do;
wire		full,empty;
asfifo #(8,4) u0 (clka,clkb,rstn,we,di,re,do,full,empty);

initial begin
	$dumpfile("asfifo_tb.vcd");
	$dumpvars;
	#10000; $finish;
end

endmodule
